version: '3.8'

services:
  front:
    image: glud/slud-xx:v_0.5

    networks:
      - proxy

    # ports:
    #  - "8081:80"

    container_name: slud-xx

    deploy:
      replicas: 1
      restart_policy:
        condition: on-failure
        delay: 5s
      placement:
        constraints: [node.hostname == glud.udistrital.edu.co]
      labels:
        - "traefik.enable=true"
        - "traefik.docker.network=reverse_proxy"
        - "traefik.http.routers.slud-xx-front.entrypoints=websecure"
        - "traefik.http.routers.slud-xx-front.rule=Host(`semana.glud.org`,`www.semana.glud.org`)"
        - "traefik.http.routers.slud-xx-front.service=slud-xx-front"
        - "traefik.http.services.slud-xx-front.loadbalancer.server.port=4000"

networks:
  proxy:
    external: true